@import '../node_modules/@angular/material/_theming.scss';

@include mat-core();

$mat-custom: (
  50: #ffffff,
  100: #f5f5f5,
  200: #eeeeee,
  300: #e0e0e0,
  400: #bdbdbd,
  500: #9e9e9e,
  600: #757575,
  700: #616161,
  800: #424242,
  900: #000000,
  A100: #ffffff,
  A200: #bdbdbd,
  A400: #616161,
  A700: #000000,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  )
);


$candy-app-primary: mat-palette($mat-custom, 900, 50, 900);
$candy-app-accent:  mat-palette($mat-custom, A700, A100, A700);


$candy-app-warn:    mat-palette($mat-red);


$candy-app-theme: mat-light-theme($candy-app-primary, $candy-app-accent, $candy-app-warn);


@include angular-material-theme($candy-app-theme);
